fonttools (4.55.3-2ubuntu0.25.10.1) questing-security; urgency=medium

   * SECURITY UPDATE: Arbitrary File Write and XML injection
     in fontTools.varLib
    - debian/patches/CVE-2025-66034.patch: varLib: only use 
      the basename(vf.filename).
    - CVE-2025-66034

 -- Nick Galanis <nick.galanis@canonical.com>  Tue, 09 Dec 2025 12:50:57 +0000

fonttools (4.55.3-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:53:52 +0000

fonttools (4.55.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Mark glyphslib build-dep as <!nocheck>. (Closes: #1093538)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:10:49 -0500

fonttools (4.55.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Drop useless dependency to python3-pkg-resources.
    (Closes: #1083404)

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 12:22:25 -0500

fonttools (4.55.0-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 15:57:04 -0500

fonttools (4.55.0-2) unstable; urgency=medium

  * Team upload
  * Don't require some build test dependencies on i386
  * Add patch to skip new test that fails on i386 because of excess precision

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 14:39:06 -0500

fonttools (4.55.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump dependency versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Nov 2024 13:24:39 -0500

fonttools (4.54.1-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0002-keep-doctest-compatible-with-Unicode-15.1.patch:
    Update patch to be compatible with Unicode 15.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 19:09:01 -0400

fonttools (4.54.1-3) unstable; urgency=medium

  * Team upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Further tighten build-dep versions.
  * debian/tests/control: Ditto.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 15:13:36 -0400

fonttools (4.54.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Require unicode-data (<< 16) for now.
  * debian/rules: Disallow test failures again.
  * debian/patches/0002-keep-doctest-compatible-with-Unicode-15.1.patch:
    Add patch to keep tests compatible with unicode 15.1 for now.
    Once Debian packages unicode-data (>= 16.0), this patch should be
    dropped.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Oct 2024 21:20:54 -0400

fonttools (4.54.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Oct 2024 17:53:41 -0400

fonttools (4.54.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to experimental due to failed doctest.
  * debian/control: Add new build-dependencies:
    + python3-glyphslib (optional)
    + python3-ufo2ft (>= 3.2.7) <!nocheck>
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 20:48:44 -0400

fonttools (4.51.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/gbp.conf: Use "ignore-branch = True".
  * debian/control:
    + Move main package description to the source package.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Apr 2024 19:57:57 -0400

fonttools (4.46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes Python 3.12 syntax warning (Closes: #1057535)
  * Bump dependencies

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 16:48:27 -0500

fonttools (4.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Debian Janitor ]
  * debian/copyright: Trim trailing whitespace and tab2space.
  * Set upstream metadata fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 14:03:00 -0500

fonttools (4.37.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 16:06:45 -0400

fonttools (4.37.1-1) unstable; urgency=medium

  * New upstream version 4.37.1
  * debian/control: Add build dependency python3-reportlab

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 03 Sep 2022 20:19:40 +0800

fonttools (4.34.4-1) unstable; urgency=medium

  * New upstream version 4.34.4
  * debian/control: update dependency versions

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 09 Jul 2022 17:57:57 +0800

fonttools (4.33.3-1) unstable; urgency=medium

  * New upstream version 4.33.3
  * debian/control: Bump Standards-Version to 4.6.1; No other changes are
    needed.
  * Revert changes about attributing unicode-data, because Built-Using is used
    for referencing licenses that require source package to be available.
  * debian/source/lintian-overrides: Add lintian-overrides for unicode-data
    license text
  * debian/gbp.conf: Change debian-branch to debian/latest for DEP-14

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 May 2022 13:15:42 +0800

fonttools (4.32.0-1) unstable; urgency=medium

  * New upstream version 4.32.0
  * debian/control:
    Add Built-Using: unicode-data (= 14.0.0-1.1) to python3-fonttools
  * debian/copyright:
    Remove licenses for files generated from unicode-data, since Built-Using
    satisfies the license notice

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 13 Apr 2022 22:38:52 +0800

fonttools (4.29.1-2) unstable; urgency=high

  * debian/control: Add missing dependency of python3-unicodedata2
    (Closes: #1005640)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 26 Feb 2022 10:45:25 +0800

fonttools (4.29.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control, debian/rules:
    Add nodoc and notest build profiles, clean up build dependencies
    (Closes: #1003522)

  [ Yao Wei (魏銘廷) ]
  * New upstream version 4.29.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Feb 2022 21:12:31 +0800

fonttools (4.28.5-1) unstable; urgency=medium

  * New upstream version 4.28.5

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 26 Dec 2021 23:11:28 +0800

fonttools (4.28.3-1) unstable; urgency=medium

  * New upstream version 4.28.3
  * debian/control:
    - Update dependencies
    - Remove ufolib2 from Build-Depends to avoid circular dependency
  * debian/patches: Remove upstreamed patch

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 12 Dec 2021 22:06:03 +0800

fonttools (4.27.1-1) unstable; urgency=medium

  * debian/control: Add Multi-Arch: foreign to bin:fonttools. Closes: #995203
  * New upstream version 4.27.1
  * debian/patches: Fix tests with unicodedata 14.0
  * debian/upstream: Removed due to outdated information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Oct 2021 23:32:09 +0800

fonttools (4.26.2-2) unstable; urgency=medium

  * debian/control: Add missing dependencies. Closes: #993482

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 02 Sep 2021 12:49:00 +0800

fonttools (4.26.2-1) experimental; urgency=medium

  * New upstream version 4.26.2
  * debian/rules: Skip tfmLib test due to doctest loading issue
  * d/tests/control: Install fonttools for autopkgtest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 14:05:09 +0800

fonttools (4.24.4-1) experimental; urgency=medium

  * New upstream version 4.24.4

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 27 Jun 2021 21:53:23 +0800

fonttools (4.23.1-1) unstable; urgency=medium

  * New upstream version 4.23.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 20:41:41 +0800

fonttools (4.19.1-1) unstable; urgency=medium

  * New upstream version 4.19.1
  * debian/copyright: Update copyright information
  * debian/control: Update build- and runtime- dependencies
  * debian/control: Change python3-fonttools Architecture from all to any
    due to cu2qu inclusion
  * debian/control: Bump Debian Policy standard to 4.5.1
    - Note that some files in Lib/fontTools/unicodedata are removed from
      source packages and generated during build.  These are derived from
      unicode-data and their copyright info are already documented.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Jan 2021 07:38:19 +0800

fonttools (4.18.2-1) unstable; urgency=medium

  * New upstream version 4.18.2

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 19 Dec 2020 00:23:20 +0800

fonttools (4.18.1-1) unstable; urgency=medium

  * New upstream version 4.18.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 23:05:37 +0800

fonttools (4.17.1-1) unstable; urgency=medium

  * New upstream version 4.17.1
  * debian/control: Bump Standards-Version to 4.5.1.  No changes needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 26 Nov 2020 21:43:14 +0800

fonttools (4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 15 Nov 2020 23:11:02 +0800

fonttools (4.16.1-1) unstable; urgency=medium

  * New upstream version 4.16.1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 17:58:26 +0800

fonttools (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0
  * debian/gbp.conf: Change packaging salsa branch to debian/master in
    compliance of Debian Python Policy
  * debian/control:
    - Use debhelper 13
    - debian/control: Update dependencies, add ufolib2 for testing purposes

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 25 Jul 2020 12:53:08 +0800

fonttools (4.10.2-1) unstable; urgency=medium

  * New upstream version 4.10.2
  * Add python3-sphinx-rtd-theme as Build-Dependency
  * Fix test related issues

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 28 May 2020 22:07:49 +0800

fonttools (4.7.0-2) unstable; urgency=medium

  * debian/control: Temporarily remove python3-ufolib2 dependency used in test
    due to circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:50:43 +0800

fonttools (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Update dependencies for ufolib2 check, and allow test to be disabled to
    avoid Build-Dep circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:26:32 +0800

fonttools (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/control: Update dependencies
  * Fix test failure caused by newer unicode-data used in build
    (Closes: #954642)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Mar 2020 17:40:59 +0800

fonttools (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/copyright: add copyright to NotoColorEmoji used as test data

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:00:11 +0800

fonttools (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4
  * Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 29 Jan 2020 16:21:04 +0800

fonttools (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * debian/control: Add python3-munkres as aan alternative to python3-scipy
    (Closes: #947206)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Dec 2019 23:26:30 +0100

fonttools (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/salsa.ci: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:44:49 +0800

fonttools (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.1
  * Add d/tests/control and use pytest-3 to run pkgautotest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Oct 2019 12:13:35 +0800

fonttools (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Remove python2 package
  * Bump debhelper compatibility to 12
  * debian/control: Update dependencies
  * debian/copyright: Add test case copyright information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 31 Aug 2019 13:11:40 +0800

fonttools (3.43.2-1) unstable; urgency=medium

  * New upstream version 3.43.2
  * debian/control: Update dependencies
  * debian/copyright: Remove .gitattributes from release tarball because it
    interferes with git-buildpackage
  * Remove unused lintian overrides
  * Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:32:09 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-fonttools`.
